## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface AssertExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  AssertExpImpl

    public interface AssertExp

extends ImperativeExpression

A representation of the model object 'Assert Exp'.

The following features are supported:

- `Assertion`
- `Log`
- `Severity`

See Also:
  `ImperativeOCLPackage.getAssertExp()`

Method Summary
`OCLExpression` `getAssertion()` Returns the value of the 'Assertion' containment reference
`LogExp` `getLog()` Returns the value of the 'Log' containment reference
`SeverityKind` `getSeverity()` Returns the value of the 'Severity' attribute.
`void` `setAssertion(OCLExpression value)` Sets the value of the '`Assertion`' containment reference
`void` `setLog(LogExp value)` Sets the value of the '`Log`' containment reference
`void` `setSeverity(SeverityKind value)` Sets the value of the '`Severity`' attribute

Method Detail

### getAssertion

    OCLExpression getAssertion()

  Returns the value of the 'Assertion' containment reference.

  If the meaning of the 'Assertion' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assertion' containment reference.
  See Also:
    `setAssertion(OCLExpression)`, `ImperativeOCLPackage.getAssertExp_Assertion()`

### setAssertion

    void setAssertion(OCLExpression value)

  Sets the value of the '`Assertion`' containment reference.

  Parameters:
    `value` - the new value of the 'Assertion' containment reference.
  See Also:
    `getAssertion()`

### getLog

    LogExp getLog()

  Returns the value of the 'Log' containment reference.

  If the meaning of the 'Log' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Log' containment reference.
  See Also:
    `setLog(LogExp)`, `ImperativeOCLPackage.getAssertExp_Log()`

### setLog

    void setLog(LogExp value)

  Sets the value of the '`Log`' containment reference.

  Parameters:
    `value` - the new value of the 'Log' containment reference.
  See Also:
    `getLog()`

### getSeverity

    SeverityKind getSeverity()

  Returns the value of the 'Severity' attribute. The default value is `"error"`. The literals are from the enumeration `SeverityKind`.

  If the meaning of the 'Severity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `SeverityKind`, `setSeverity(SeverityKind)`, `ImperativeOCLPackage.getAssertExp_Severity()`

### setSeverity

    void setSeverity(SeverityKind value)

  Sets the value of the '`Severity`' attribute.

  Parameters:
    `value` - the new value of the 'Severity' attribute.
  See Also:
    `SeverityKind`, `getSeverity()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.